mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.Security.Principal.IdentityReference> System.Collections.Generic.IEnumerable<System.Security.Principal.IdentityReference> System.Runtime.InteropServices.ComVisible(false) To be added.

Represents a collection of objects and provides a means of converting sets of -derived objects to -derived types.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with zero items in the collection.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified initial size.

  The initial number of items in the collection. The value of is a hint only; it is not necessarily the maximum number of items created.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds an object to the collection.

  The object to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Clears all objects from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the collection contains the specified object.

  true if the collection contains the specified object.

  The object to check for.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the collection to an array, starting at the specified index.

  An array object to which the collection is to be copied. The zero-based index in where the collection is to be copied.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Security.Principal.IdentityReference> To be added.

  Gets an enumerator that can be used to iterate through the collection.

  An enumerator for the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the collection is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Removes the specified object from the collection.

  true if the specified object was removed from the collection.

  The object to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Gets an enumerator that can be used to iterate through the collection.

  An enumerator for the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReferenceCollection ``

  Order is preserved in the returned collection, That is, the first item in the returned collection corresponds to the first item in the source collection, and so on, for each item in the collection.

  The items in the source collection are not required to be of the same type.

  Converts the objects in the collection to the specified type. Calling this method is the same as calling with the second parameter set to false, which means that exceptions will not be thrown for items that fail conversion.

  A collection that represents the converted contents of the original collection.

  The type to which items in the collection are being converted.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReferenceCollection `` ``

  Order is preserved in the returned collection, That is, the first item in the returned collection corresponds to the first item in the source collection, and so on, for each item in the collection.

  The items in the source collection are not required to be of the same type.

  Converts the objects in the collection to the specified type and uses the specified fault tolerance to handle or ignore errors associated with a type not having a conversion mapping.

  A collection that represents the converted contents of the original collection.

  The type to which items in the collection are being converted. A Boolean value that determines how conversion errors are handled.